Subject: bug#13864: 24.3.50; emacsclient -t loops when connected to emacs server running in X11

From: [email-masked] (Ashish SHUKLA)
Date: Tue, 05 Mar 2013 00:43:11 +0530

On Mon, 04 Mar 2013 19:50:10 +0200, Eli Zaretskii <[email-masked]> said:
>> From: Ashish SHUKLA <[email-masked]>
>> Date: Mon, 04 Mar 2013 00:49:47 +0530
>> 
>> 1. Start: emacs -Q
>> 2. Start emacs server: M-x server-start
>> 3. In an xterm instance (in my case TERM=xterm-256color), do: emacsclient -t
>> 4. In emacsclient session, do C-x C-f to get a 'Find file:' prompt.
>> 5. Now I see emacsclient session started flickering with following 'truss' output:

> Thanks.  Unfortunately, I seem to be unable to reproduce this with the
> Emacs configurations to which I have access.  One thing I couldn't try
> was a GUI session that also has a TTY frame created by "emacsclient -t",
> I could only try a TTY session in which another TTY frame on a
> different terminal was created by emacsclient.  Maybe this is the
> crucial difference: do you see the same problem when Emacs that runs
> the server is started with -nw?

It doesn't happen with 'emacs -nw', only with X11.

> Did this problem appear lately, or do you see it in previous versions
> as well (e.g., on the emacs-24 branch)?  If this only appeared
> recently, could you perhaps bisect to find the commit which caused
> this?

As, I only recently started to use Emacs like this, it became noticeable, but
I don't remember encountering it before when multi-tty support was introduced.

I've couple of old Emacs 24.3.50, and Emacs ~23.x packages. I can give them a
shot.

> Also, would you be ready to run Emacs under a debugger and look around
> where I suggest you to?

Sure.

Thanks
-- 
Ashish SHUKLA

“They that give up essential liberty to obtain a little temporary safety deserve
neither liberty nor safety.” (Benjamin Franklin)

Sent from my Emacs